ASTSCRIPT-FITS-VIEW(1)

NAME
astscript-fits-view - View FITS images in DS9 and tables in TOPCAT

SYNOPSIS
astscript-fits-view [OPTION] FITS-file(s)

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.23.

This script will take any number of FITS inputs and will pass them to TOPCAT or SAO DS9 depending on the the first input FITS file: if it contains an image HDU, the files will be passed to SAO DS9, otherwise, to TOPCAT.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-fits-view

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-fits-view options:

    Input:

-h, --hdu=STR
    Extension name or number of input data.

-g, --globalhdu=STR
    Use this HDU for all inputs, ignore '--hdu'.

    Output:

-G, --ds9geometry=INTxINT Size of DS9 window, e.g., for HD (800x1000) and
    for 4K (1800x3000). If not given, the script will attempt to find your screen resolution and find a good match, otherwise, use the default size.

-e, --ds9extra=STR
    Extra options to pass to DS9 after default ones.

-s, --ds9scale=STR
    Custom value to '-scale' option in DS9.

-c, --ds9center=FLT,FLT Coordinates of center in shown DS9 window.

-r, --ds9region=STR[,...] DS9 region(s) to load.

-O, --ds9mode=img/wcs
    Coord system to interpret '--ds9center' (img/wcs).

-m, --ds9colorbarmulti
    Separate color bars for each loaded image.

-p, --prefix=STR
    Directory containing DS9 or TOPCAT executables.

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2020-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi and Sepideh Eskandarlou

SEE ALSO
The full documentation for astscript-fits-view is maintained as a Texinfo manual. If the info and astscript-fits-view programs are properly installed at your site, the command

    info astscript-fits-view

should give you access to the complete manual.